Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Hudson » Is Hudson WAR wrong version?
Is Hudson WAR wrong version? [message #1053733] Tue, 07 May 2013 12:27 Go to next message
Simon Kissane is currently offline Simon KissaneFriend
Messages: 3
Registered: May 2013
Junior Member
I downloaded hudson-ci.org/downloads/war/3.0.1/hudson.war
(Tried to put HTTP link in, but got rather annoying and pointless message "You can only use links to eclipse.org sites while you have fewer than 5 messages.")

unzip -p hudson.war META-INF/MANIFEST.MF

which gives

Manifest-Version: 1.0
Archiver-Version: Plexus Archiver
Created-By: Apache Maven
Built-By: winstonp
Build-Jdk: 1.6.0_37
Main-Class: org.eclipse.hudson.war.Executable
Hudson-Version: 3.0.0
Implementation-Version: 3.0.0

Is that URL really Hudson 3.0.1? Has Hudson 3.0.1 got wrong manifest?
Or is that URL wrong?
Re: Is Hudson WAR wrong version? [message #1053779 is a reply to message #1053733] Tue, 07 May 2013 14:48 Go to previous messageGo to next message
Geoff Waymark is currently offline Geoff WaymarkFriend
Messages: 26
Registered: July 2012
Junior Member
I think that's the wrong URL. I use http://eclipse.org/downloads/download.php?file=/hudson/war/hudson-3.0.1.war

Which gives
Manifest-Version: 1.0
Archiver-Version: Plexus Archiver
Created-By: Apache Maven
Built-By: wjprakash
Build-Jdk: 1.6.0_43
Main-Class: org.eclipse.hudson.war.Executable
Hudson-Version: 3.0.1-b2
Implementation-Version: 3.0.1-b2

I've no idea what hudson-ci.org/downloads/war/3.0.1/hudson.war points to. All the wars should be at either java.net or eclipse.org now.


Geoff Waymark
Eclipse Hudson team
Re: Is Hudson WAR wrong version? [message #1053818 is a reply to message #1053779] Tue, 07 May 2013 17:13 Go to previous messageGo to next message
Bob Foster is currently offline Bob FosterFriend
Messages: 74
Registered: January 2013
Member
As Geoff said...

Not sure how you got that URL. When I go to hudson-ci.org and click 3.0.1 Production Version I'm taken to http://eclipse.org/downloads/download.php?file=/hudson/war/hudson-3.0.1.war

That downloads hudson-3.0.1.war
Re: Is Hudson WAR wrong version? [message #1053822 is a reply to message #1053733] Tue, 07 May 2013 17:54 Go to previous message
Winston Prakash is currently offline Winston PrakashFriend
Messages: 449
Registered: August 2011
Location: Fremont, CA USA
Senior Member
Hi Simon, hudson-ci.org/downloads/war exists for historical purpose. You are right. It has the wrong war. I fixed it.

As Geoff & Bob, pointed out always use the war from Hudson Eclipse download site. It is verified by QA.


Winston Prakash
Eclipse Hudson team
Previous Topic:hudson-ci.org machines will be down for maintenace
Next Topic:eXtreme Feedback Panel stops working in 3.0.1
Goto Forum:
  


Current Time: Sun Dec 21 21:04:17 GMT 2014

Powered by FUDForum. Page generated in 0.06811 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software